Subject: Re: bug#46439: 26.1; command “break” within gdb afterwards run “list 1” infinitely

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Feb 2021 08:50:14 +0200

> From: Alexandre Garreau <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 11 Feb 2021 22:13:48 +0100
> 
> > Ah, that one...  This is already fixed in later Emacs versions, part
> > of it in Emacs 27 and the rest on the master branch.  Can you try a
> > newer Emacs version?
> 
> Not now, too long to compile afair, and I heard about stability and memory 
> leaks issues about 27 on #emacs.  Could you reproduce?  Or maybe it’s 
> likely solved and not worth it.  Anyway thank you, sorry for the time loss 
> then '^^

The gdb-mi interface we now use by default had problems with non_ASCII
files in Emacs 26.  I did reproduce them back then, and we fixed those
problems.

If you cannot try a newer Emacs, I suggest for now avoid using
"M-x gdb" with non-ASCII file or directory names.